## mt-st 1.3

=== Makefile ===
CFLAGS?=  -Wall -O2
PREFIX?= /usr
EXEC_PREFIX?= /
SBINDIR= $(DESTDIR)/$(EXEC_PREFIX)/sbin
BINDIR=  $(DESTDIR)$(EXEC_PREFIX)/bin
DATAROOTDIR= $(DESTDIR)/$(PREFIX)/share
MANDIR= $(DATAROOTDIR)/man
DEFTAPE?= /dev/tape

PROGS=mt stinit


# Release-related variables
DISTFILES = \
	CHANGELOG.md \
	COPYING \
	Makefile \
	mt.1 \
	mt.c \
	mtio.h \
	README.md \
	stinit.8 \
	stinit.c \
	stinit.def.examples

VERSION=1.3
RELEASEDIR=mt-st-$(VERSION)
TARFILE=mt-st-$(VERSION).tar.gz

all:	$(PROGS)

version.h: Makefile
	echo '#define VERSION "$(VERSION)"' > $@

%: %.c version.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DDEFTAPE='"$(DEFTAPE)"' -o $@ $<

install: $(PROGS)
	install -d $(BINDIR)  $(SBINDIR) $(MANDIR) $(MANDIR)/man1 $(MANDIR)/man8
	install -s mt $(BINDIR)
	install -m 444 mt.1 $(MANDIR)/man1
	(if [ -f $(MANDIR)/man1/mt.1.gz ] ; then \
	  rm -f $(MANDIR)/man1/mt.1.gz; gzip $(MANDIR)/man1/mt.1; fi)
	install -s stinit $(SBINDIR)
	install -m 444 stinit.8 $(MANDIR)/man8
	(if [ -f $(MANDIR)/man8/stinit.8.gz ] ; then \
	  rm -f $(MANDIR)/man8/stinit.8.gz; gzip $(MANDIR)/man8/stinit.8; fi)

dist:
	rm -f "$(TARFILE)" && \
	BASE=`mktemp -d` && \
	trap "rm -rf $$BASE" EXIT && \
	DIST="$$BASE/$(RELEASEDIR)" && \
	mkdir "$$DIST" && \
	install -m 0644 -p -t "$$DIST/" $(DISTFILES) && \
	tar czvf $(TARFILE) -C "$$BASE" \
	  --owner root --group root \
	  $(RELEASEDIR)

distcheck: dist
	BASE=`mktemp -d` && \
	trap "rm -rf $$BASE" EXIT && \
	SRC="$$BASE/src" && mkdir "$$SRC" && \
	DST="$$BASE/dst" && mkdir "$$DST" && \
	tar xvf $(TARFILE) -C "$$SRC" && \
	cd "$$SRC/$(RELEASEDIR)" && \
	make CFLAGS="-Wall -Wextra -Werror" && \
	./mt --version && ./stinit --version && \
	./stinit -p -f stinit.def.examples && \
	make dist && \
	make install DESTDIR="$$DST" && \
	numfiles=$$( \
	find "$$DST" -type f \
	  \( -name mt -o -name stinit -o -name mt.1 -o -name stinit.8 \) | \
	  wc -l) && \
	echo "$$numfiles files installed (4 expected)" && \
	test "$$numfiles" -eq 4

release-tag:
	git tag -s -m 'Release version $(VERSION).' mt-st-$(VERSION)

clean:
	rm -f *~ \#*\# *.o $(PROGS) version.h

.PHONY: dist distcheck clean

## mt-st 1.1

=== debian/changelog ===
mt-st (1.1-6ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/mt-st.modprobe: (Closes: #775013)
      + Pass command-line options to the modprobe call. 

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 10 Jan 2015 00:57:28 +0100

mt-st (1.1-6) unstable; urgency=medium

  * Adopt package (Closes: #698986)
  * Import packaging into git, so add Vcs-* control fields
  * Add Homepage control field (Closes: #739693)
  * Add patch to note that erase is a 'full' erase (Closes: #739694)
  * Add man page patch regarding the mtio.h header file (Closes: #739694)
  * Fix description to no longer say it diverts mt-gnu.
    Thanks to Ben Harris for noticing! (Closes: #727112)
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Improve hardening of the package
  * Source /lib/lsb/init-functions in init script (should make the package
    work better with systemd)

 -- Iustin Pop <iustin@debian.org>  Sat, 19 Jul 2014 15:10:05 +0200

mt-st (1.1-5ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1190083) Remaining changes:
    - debian/mt-st.modprobe: Pass command-line options to the modprobe call

 -- Alessandro Losavio <alessandro.losavio@yahoo.com>  Wed, 12 Jun 2013 00:17:26 +0100

mt-st (1.1-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #698986). 
  * Update standards version to 3.9.4 (no changes).
  * Switch to dh.
  * Rebuilding with a newer debhelper moves the udev rule to /lib/udev.
    Closes: #622566.
  * Support stshowoptions command. Closes: #650236. 
  * Don't show warning for kernels newer than 2.6. 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Jun 2013 22:52:07 +0200

mt-st (1.1-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #380353), remaining changes:
    - debian/mt-st.modprobe: Pass command-line options to the modprobe call
    - debian/control: Add Breaks on udev to get correct version

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 25 May 2009 13:57:44 -0500

mt-st (1.1-4) unstable; urgency=low

  * Add ".conf" suffix to modprobe.d snippet. Closes: #518245.
    (Just rely on a recent debhelper version to do this.)
  * Bump Standards version to 3.8.1 (no changes).
  * Add a remark for mtio.h (taken from glibc) to debian/copyright.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 20 Mar 2009 02:28:53 +0100

mt-st (1.1-3) unstable; urgency=low

  * Document that udev has invalidated both glibc and kernel
    documentation by changing the /dev/tape symlink into a
    directory. Talk about backwards-compatible changes.
    As there's no sensible default left, this is all I can do.
    Closes: #499152.
  * Minor packaging cleanup changes.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 01 Mar 2009 16:36:22 +0100

mt-st (1.1-2ubuntu2) jaunty; urgency=low

  * Bump build-depend on debhelper again to migrate modprobe conf file to
    correct new path.
  * debian/mt-st.modprobe: Pass command-line options to the modprobe call

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 16:47:08 +0000

mt-st (1.1-2ubuntu1) jaunty; urgency=low

  * Bump build-depend on debhelper to install udev rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Jan 2009 02:26:02 +0000

mt-st (1.1-2) unstable; urgency=low

  * Update debian/copyright.
  * Bump Standards version to 3.8.0.
  * Switch to debhelper v7.
  * Drop build-dep on obsolete linux-kernel-headers package.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 11 Jun 2008 23:22:29 +0200

mt-st (1.1-1) unstable; urgency=low

  * New upstream version.
  * Patches 10,12,14 have been applied upstream, 11 is obsolete;
    dropped.
  * New patch 15 to fix a couple of gcc warnings.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 27 May 2008 15:19:12 +0200

mt-st (0.9b-6) unstable; urgency=low

  * Bump Standards version to 3.7.3 (no changes) and
    debhelper to v6.
  * Drop update-modules support. Closes: #440700.
  * Reformat and clarify copyright file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 11 Apr 2008 22:47:32 +0200

mt-st (0.9b-5) unstable; urgency=low

  * Introduce dpatch.
  * Fix an off-by-one error when reporting mode numbers. Closes: #437259.
    Thanks to Joerg Sommrey for noticing!
  * Prevent upstream from stripping the binaries. Closes: #437588.
  * Do not ignore errors from 'make clean' (upstream only does one rm -f
    there, so there's nothing to ignore anyway).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 20 Aug 2007 01:12:09 +0200

mt-st (0.9b-4) unstable; urgency=medium

  * Fix #include statements to accommodate the linux-kernel-headers /
    linux-libc-dev transition. This closes an FTBFS bug, so raised urgency.
    Closes: #428948. Thanks to Lucas Nussbaum.
  * Add density code for LTO-3 drives. Closes: #429589. Thanks to Mike
    Castleman.
  * Add LSB header to initscript.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 15 Jun 2007 10:48:05 +0200

mt-st (0.9b-3) unstable; urgency=low

  * Work around something I believe to be a debhelper issue:
    Fix postrm exit status, closes: #381901, forwarded as #381940.
    Thanks to Eric Lavarde.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 12 Aug 2006 15:01:23 +0200

mt-st (0.9b-2) unstable; urgency=low

  * linux-kernel-headers was meant to be a _build_-dependency. Sorry.
    Adjust dependencies, closes: #378391.
  * Introduce udev rules to augment the list of scripts that may
    be triggered by module load/unload and device insertion;
    thanks to Alex Owen. Closes: #251114.
  * Entrust most of the installation/removal package scripts' content
    to debhelper.
  * Update upstream hostname in debian/copyright in order to match
    upstream's license file.
  * Include a debian/watch file.



=== debian/control ===
Source: mt-st
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mt-st.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mt-st.git
Homepage: ftp://ftp.ibiblio.org/pub/linux/system/backup/mt-st-1.1.tar.gz

Package: mt-st
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI tape driver aware magnetic tape control (aka mt)
 Mt-st contains a version of "mt" that is aware of Linux's SCSI tape
 driver. Mt-st is able to set some esoteric control flags like tape partitions.
 .
 Mt-st provides an alternative to the GNU version of mt, in the cpio package.
 .
 It also comes with stinit, a program to be run at boot time to set up
 tape defaults.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/mt-st

%:
	dh $@

override_dh_auto_install:
	install -m 644 debian/stinit.def $(DESTDIR)/etc/
	install mt $(DESTDIR)/bin/mt-st
	install stinit $(DESTDIR)/sbin/

override_dh_installman:
	cp mt.1 debian/mt-st.1
	dh_installman
	rm debian/mt-st.1

## mt-st 1.3

=== debian/changelog ===
mt-st (1.3-2) unstable; urgency=medium

  * Small maintenance upload:
    - Move code repository to Salsa
    - Update standards version (trivial changes needed)
    - Bump debhelper compat version

 -- Iustin Pop <iustin@debian.org>  Thu, 25 Oct 2018 21:27:34 +0200

mt-st (1.3-1) unstable; urgency=medium

  * New upstream release (1.2 and 1.3), most important changes:
    - Many more density codes
    - Improve default tape device handling (check it is actually a
      character device)
    - Add support for Linux 4.6+'s ability to configure the size of tape
      partition #0 (via a negative argument to `mkpartition`)
    - Fix bug in stinit's parsing of the configuration file regarding
      per-mode definitions
    - Various man page updates
  * Update standards version to 3.9.8 (no changes)
  * Remove all current patches, as they were included upstream
  * Restrict architecture to linux-any, since this needs linux headers to
    build and also is only useful on Linux kernels
  * Redo device setting activation, removing the init script and modprobe
    configuration file (see NEWS.Debian) while keeping an improved udev
    rule (Closes: #796629, #775013).
  * Enable full hardening of the package.

 -- Iustin Pop <iustin@debian.org>  Fri, 06 May 2016 01:41:12 +0200

=== debian/control ===
Source: mt-st
Section: admin
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/mt-st
Vcs-Git: https://salsa.debian.org/debian/mt-st.git
Homepage: https://github.com/iustin/mt-st

Package: mt-st
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI tape driver aware magnetic tape control (aka mt)
 Mt-st contains a version of "mt" that is aware of Linux's SCSI tape
 driver. Mt-st is able to set some esoteric control flags like tape partitions.
 .
 Mt-st provides an alternative to the GNU version of mt, in the cpio package.
 .
 It also comes with stinit, a program to be run at boot time to set up
 tape defaults.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DESTDIR = $(CURDIR)/debian/mt-st

## mt-st 1.4

=== debian/changelog ===
mt-st (1.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Iustin Pop ]
  * Re-upload as I missed the janitor changes in the original 1.4-1
    release :((, even after being surprised at the old compat level…

 -- Iustin Pop <iustin@debian.org>  Sun, 30 Aug 2020 23:34:33 +0200

mt-st (1.4-1) unstable; urgency=medium

  * New upstream release (minor fixes and improvements, especially LTO-8
    and LTO-7/M8 density codes).
  * Install the bash completion script available in the new upstream
    version.

 -- Iustin Pop <iustin@debian.org>  Sun, 30 Aug 2020 23:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12), bash-completion
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/mt-st
 Vcs-Git: https://salsa.debian.org/debian/mt-st.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DESTDIR = $(CURDIR)/debian/mt-st
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_install:
 	install -m 644 debian/stinit.def $(DESTDIR)/etc/

=== debian/watch ===
version=4
# note tags are named mt-st-$ver, hence the custom regex, and that
# there's no need for filename mangle since upstream publishes
# properly-named tarballs.
opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/iustin/mt-st/releases \
  /download/mt-st-(?:[\d\.]+?)/mt-st-v?(\d\S*)\.tar\.gz

## mt-st 1.7

=== Makefile ===
CFLAGS?=  -Wall -O2
PREFIX?= /usr
EXEC_PREFIX?= /
SBINDIR= $(DESTDIR)/$(EXEC_PREFIX)/sbin
BINDIR=  $(DESTDIR)$(EXEC_PREFIX)/bin
DATAROOTDIR= $(DESTDIR)/$(PREFIX)/share
MANDIR= $(DATAROOTDIR)/man
COMPLETIONINSTALLDIR=$(DESTDIR)/etc/bash_completion.d
DEFTAPE?= /dev/tape
INSTALL= install

PROGS=mt stinit


# Release-related variables
DISTFILES = \
	CHANGELOG.md \
	COPYING \
	Makefile \
	mt.1 \
	mt.c \
	mtio.h \
	README.md \
	mt-st.bash_completion \
	stinit.8 \
	stinit.c \
	stinit.def.examples \
	.dir-locals.el \
	.clang-format

TESTFILES = $(wildcard tests/*.test)
TESTDATAFILES = $(wildcard tests/data/*.data)

VERSION=1.7
RELEASEDIR=mt-st-$(VERSION)
TARFILE=mt-st-$(VERSION).tar.gz

all:	$(PROGS)

version.h: Makefile
	echo '#define VERSION "$(VERSION)"' > $@

%: %.c version.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DDEFTAPE='"$(DEFTAPE)"' -o $@ $<

install: $(PROGS)
	$(INSTALL) -d $(BINDIR)  $(SBINDIR) $(MANDIR) $(MANDIR)/man1 $(MANDIR)/man8 $(COMPLETIONINSTALLDIR)
	$(INSTALL) mt $(BINDIR)
	$(INSTALL) -m 444 mt.1 $(MANDIR)/man1
	$(INSTALL) -m 644 mt-st.bash_completion $(COMPLETIONINSTALLDIR)/mt-st
	(if [ -f $(MANDIR)/man1/mt.1.gz ] ; then \
	  rm -f $(MANDIR)/man1/mt.1.gz; gzip $(MANDIR)/man1/mt.1; fi)
	$(INSTALL) stinit $(SBINDIR)
	$(INSTALL) -m 444 stinit.8 $(MANDIR)/man8
	(if [ -f $(MANDIR)/man8/stinit.8.gz ] ; then \
	  rm -f $(MANDIR)/man8/stinit.8.gz; gzip $(MANDIR)/man8/stinit.8; fi)

dist:
	rm -f "$(TARFILE)" && \
	BASE=`mktemp -d` && \
	trap "rm -rf $$BASE" EXIT && \
	DIST="$$BASE/$(RELEASEDIR)" && \
	mkdir "$$DIST" && \
	mkdir "$$DIST/tests" && mkdir "$$DIST/tests/data" && \
	  $(INSTALL) -m 0644 -p -t "$$DIST/" $(DISTFILES) && \
	  $(INSTALL) -m 0644 -p -t "$$DIST/tests" $(TESTFILES) && \
	  $(INSTALL) -m 0644 -p -t "$$DIST/tests/data" $(TESTDATAFILES) && \
	tar czvf $(TARFILE) -C "$$BASE" \
	  --owner root --group root \
	  $(RELEASEDIR)

distcheck: dist
	BASE=`mktemp -d` && \
	trap "rm -rf $$BASE" EXIT && \
	SRC="$$BASE/src" && mkdir "$$SRC" && \
	DST="$$BASE/dst" && mkdir "$$DST" && \
	tar xvf $(TARFILE) -C "$$SRC" && \
	cd "$$SRC/$(RELEASEDIR)" && \
	make CFLAGS="-Wall -Wextra -Werror" && \
	make check && \
	make dist && \
	make install DESTDIR="$$DST" && \
	numfiles=$$( \
	find "$$DST" -type f \
	  \( -name mt -o -name stinit -o -name mt.1 -o -name stinit.8 -o -name mt-st \) | \
	  wc -l) && \
	echo "$$numfiles files installed (5 expected)" && \
	test "$$numfiles" -eq 5

check: $(PROGS)
	shelltest -DVERSION=$(VERSION) tests

# This needs lcov installed, and it's useful for local testing.
coverage: clean
	$(MAKE) CFLAGS=-coverage
	$(MAKE) check
	lcov --capture --directory . --no-external --output-file coverage.info
	genhtml coverage.info --output-directory out


release-tag:
	git tag -s -m 'Release version $(VERSION).' mt-st-$(VERSION)

clean:
	rm -f *~ \#*\# *.o *.gcno *.gcda coverage.info $(PROGS) version.h
	rm -rf out

reindent:
	clang-format -i mt.c stinit.c

.PHONY: dist distcheck clean reindent

=== debian/changelog ===
mt-st (1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install all files below /usr, and update references to these files.
    (Closes: #1059408)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 01:17:37 +0200

mt-st (1.7-1) unstable; urgency=medium

  * New upstream release fixing a bug triggered by the test suite on
    mips64el, arm64 and s390x, but not on amd64, so was not found until
    the 1.6 upload.

 -- Iustin Pop <iustin@debian.org>  Thu, 20 Apr 2023 23:30:00 +0200

mt-st (1.6-1) unstable; urgency=medium

  * New upstream minor release, adding a couple of new density codes.
  * Note: upstream release 1.5 was broken, hence skipping it.
  * Migrate the autopkgtest suite to the new upstream test suite.

 -- Iustin Pop <iustin@debian.org>  Thu, 20 Apr 2023 00:46:01 +0200

mt-st (1.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 12 to 13.
  * Remove empty maintainer scripts: mt-st (postrm)

  [ Iustin Pop ]
  * Bump standards version. Despite the large diff, this package is simple
    so no changes needed.
  * Stop requiring root for builds.
  * Add a very basic autopkgtest, just to check that binaries exist and
    show the version.

 -- Iustin Pop <iustin@debian.org>  Mon, 23 Jan 2023 14:12:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper-compat (= 12), bash-completion
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13),
+ bash-completion, shelltestrunner
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mt-st
 Vcs-Git: https://salsa.debian.org/debian/mt-st.git
 Homepage: https://github.com/iustin/mt-st
+Rules-Requires-Root: no
 
 Package: mt-st
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DESTDIR = $(CURDIR)/debian/mt-st

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	install -D -m 644 debian/stinit.def $(DESTDIR)/etc/stinit.def
	install -D mt $(DESTDIR)/usr/bin/mt-st
	install -D stinit $(DESTDIR)/usr/sbin/stinit

override_dh_installman:
	cp mt.1 debian/mt-st.1
	dh_installman
	rm debian/mt-st.1

# Default make test doesn't work due to default tape device.
override_dh_auto_test:
	TAPE= dh_auto_test

## mt-st 1.8

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 	.clang-format
 
 TESTFILES = $(wildcard tests/*.test)
-TESTDATAFILES = $(wildcard tests/data/*.data)
+TESTDATAFILES = $(wildcard tests/data/*)
 
-VERSION=1.7
+VERSION=1.8
 RELEASEDIR=mt-st-$(VERSION)
 TARFILE=mt-st-$(VERSION).tar.gz
 
@@ -94,12 +94,12 @@
 coverage: clean
 	$(MAKE) CFLAGS=-coverage
 	$(MAKE) check
-	lcov --capture --directory . --no-external --output-file coverage.info
-	genhtml coverage.info --output-directory out
+	lcov --capture --directory . --no-external --output-file lcov.info
+	genhtml lcov.info --output-directory out
 
 
 release-tag:
-	git tag -s -m 'Release version $(VERSION).' mt-st-$(VERSION)
+	git tag -s -m 'Release version $(VERSION)' v$(VERSION)
 
 clean:
 	rm -f *~ \#*\# *.o *.gcno *.gcda coverage.info $(PROGS) version.h

=== debian/changelog ===
mt-st (1.8-2) unstable; urgency=medium

  * Import missed/forgotten additional fixes from #1059408; I missed that
    bug when preparing 1.8-1, sigh. The delta is not important on
    merged-usr systems, and those should be the only one installing this
    version, but let's cleanup.
  * So belatedly, acknowledging the NMU in 1.7-1.1.

 -- Iustin Pop <iustin@debian.org>  Sun, 02 Mar 2025 22:48:55 +0100

mt-st (1.8-1) unstable; urgency=medium

  * New upstream minor release.
  * Packaging improvements for adjusting to Trixie policy.

 -- Iustin Pop <iustin@debian.org>  Sun, 09 Feb 2025 22:34:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper-compat (= 13),
  bash-completion, shelltestrunner
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/mt-st
 Vcs-Git: https://salsa.debian.org/debian/mt-st.git
 Homepage: https://github.com/iustin/mt-st

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	dh $@ --with bash-completion
 
 override_dh_auto_install:
-	install -D -m 644 debian/stinit.def $(DESTDIR)/etc/stinit.def
-	install -D mt $(DESTDIR)/usr/bin/mt-st
-	install -D stinit $(DESTDIR)/usr/sbin/stinit
+	install -m 644 debian/stinit.def $(DESTDIR)/etc/
+	install mt $(DESTDIR)/usr/bin/mt-st
+	install stinit $(DESTDIR)/usr/sbin/
 
 override_dh_installman:
 	cp mt.1 debian/mt-st.1

=== debian/tests/control ===
Tests: simple
Depends: @, make, shelltestrunner
